EC_INTERACT_GET_HELPS(3)

NAME
ec_interact_get_helps - Get contextual helps from the current line.

SYNOPSIS
#include <ecoli/interact.h>

ssize_t ec_interact_get_helps(
    const struct ec_node       *node,       /* The pointer to the sh_lex grammar node. */
    const char                 *line,       /* The line from which to get help. */
    /*
     * The pointer where the helps array will be returned.
     */
    struct ec_interact_help   **helps_out
);

STRUCTURES
A structure describing a contextual help.

struct ec_interact_help {

};

RETURN VALUE

The size of the array on success (>= 0), or -1 on error.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_print_cols(3), ec_interact_set_help(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.